/* ==================================================================   
 * $Id: codetemplates.xml,v 1.1 2006/04/24 09:18:57 饶国发 Exp $ 
 * Created [2014-9-20 上午10:44:43] by 饶国发 
 * ==================================================================  
 * qrzk 
 * ================================================================== 
 * qrzk  License v1.0  
 * Copyright (c) Wuhan G-Soft Technology CO.,LTD., 2010-2012 
 * ================================================================== 
 * 武汉威鹏科技有限公司拥有该文件的使用、复制、修改和分发的许可权
 * 如果你想得到更多信息，请访问 <http://www.wptech.net.cn>
 *
 * Wuhan WP-Soft Technology CO.,LTD. owns permission to use, copy, modify and 
 * distribute this documentation.
 * For more information on qrzk, please 
 * see <http://www.wptech.net.cn>.  
 * ================================================================== 
 */

package com.qmth.qrzk.repository.pager.model;

import java.util.Date;

import com.qmth.qrzk.repository.user.model.Question;

/**
 * <p> PagerConstructDetail.java </p>
 * <p>试卷小题明细表
 * </p>
 * @author $Author: 饶国发 $
 * @version $Revision: V5.1 $
 */
public class PagerConstructDetail {
    private Integer id;             //id
    private Integer questionId;        //小题ID
    private Question question;			//对应的试题对象
    private Integer pagerConstructId;//试卷ID
    private Integer pagerQtypeId;//大题id
    private Integer sortNo;//序号，题号
    private Double questionScore;//题目分数
    private Date createdTime;  //创建日期
    private Integer createdBy;                      //创建人
    private Date updatedTime;					//最近更新时间
    private Integer updatedBy;						//最近更新人
	private String guid;
	
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
    
    public Integer getId() {
        return id;
    }
    public void setId(Integer id) {
        this.id = id;
    }
    public Integer getQuestionId() {
        return questionId;
    }
    public void setQuestionId(Integer questionId) {
        this.questionId = questionId;
    }
    public Integer getPagerConstructId() {
        return pagerConstructId;
    }
    public void setPagerConstructId(Integer pagerConstructId) {
        this.pagerConstructId = pagerConstructId;
    }
    public Integer getPagerQtypeId() {
        return pagerQtypeId;
    }
    public void setPagerQtypeId(Integer pagerQtypeId) {
        this.pagerQtypeId = pagerQtypeId;
    }
    public Integer getSortNo() {
        return sortNo;
    }
    public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
    }
    public Double getQuestionScore() {
        return questionScore;
    }
    public void setQuestionScore(Double questionScore) {
        this.questionScore = questionScore;
    }
	public Question getQuestion() {
		return question;
	}
	public void setQuestion(Question question) {
		this.question = question;
	}
	public Date getCreatedTime() {
		return createdTime;
	}
	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}
	public Integer getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}
	public Date getUpdatedTime() {
		return updatedTime;
	}
	public void setUpdatedTime(Date updatedTime) {
		this.updatedTime = updatedTime;
	}
	public Integer getUpdatedBy() {
		return updatedBy;
	}
	public void setUpdatedBy(Integer updatedBy) {
		this.updatedBy = updatedBy;
	}
    
}

	